#include <WiFi.h>

const char* ssid = "VM4603937";        // Replace with your SSID
const char* password = "hVzuraW7nazv";  // Replace with your Wi-Fi password
const char* host = "192.168.0.10";     // Replace with the IP address of the slave ESP32-C3
const uint16_t port = 80;               // Port number of the server

const int buttonPin = 21;  // GPIO pin connected to the pushbutton
int buttonState = 0;      // Variable for reading the pushbutton status

WiFiClient client;

void setup() {
  Serial.begin(115200);
  pinMode(21, INPUT_PULLUP);

  // Connect to Wi-Fi
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.println("Connecting to WiFi...");
  }
  Serial.println("Connected to WiFi");
}

void loop() {
  buttonState = digitalRead(21);

  if (buttonState == LOW) {
    if (!client.connected()) {
      if (!client.connect(host, port)) {
        Serial.println("Connection to server failed");
        delay(1000);
        return;
      }
    }
    client.print("1");
    Serial.println("Button pressed, message sent");
  } else {
    if (!client.connected()) {
      if (!client.connect(host, port)) {
        Serial.println("Connection to server failed");
        delay(1000);
        return;
      }
    }
    client.print("0");
    Serial.println("Button released, message sent");
  }
  delay(100);
}

