#include <WiFi.h>
#include <WiFiClient.h>
#include <WiFiServer.h>


const char* ssid = "VM4603937";        // Replace with your SSID
const char* password = "hVzuraW7nazv";  // Replace with your Wi-Fi password


const int ledPin = 20;  // GPIO pin connected to the LED


WiFiServer server(80);


void setup() {
  Serial.begin(115200);
  pinMode(20, OUTPUT);
  digitalWrite(20, LOW);


  // Connect to Wi-Fi
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.println("Connecting to WiFi...");
  }
  Serial.println("Connected to WiFi");


  // Start the server
  server.begin();
}


void loop() {
  WiFiClient client = server.available();   // Listen for incoming clients


  if (client) {
    Serial.println("New Client.");
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();
        Serial.print(c);


        if (c == '1') {
          digitalWrite(20, HIGH);
        } else if (c == '0') {
          digitalWrite(20, LOW);
        }
      }
    }
    client.stop();
    Serial.println("Client Disconnected.");
  }
}

