#include <WiFi.h>

//MASTER CODE

// Replace with your network credentials
const char* ssid = "GuestWifi"; 
const char* password = "Cr3at1v3!"; 

// Set the server port  
WiFiServer server(80); 

void setup() { 
  Serial.begin(115200);
  
  // Connect to Wi-Fi
  WiFi.begin(ssid, password); 
  Serial.print("Connecting to Wi-Fi"); 
  while (WiFi.status() != WL_CONNECTED) { 
    delay(1000); 
    Serial.print("."); 
  } 
  Serial.println(" connected"); 
  
  // Start the server 
  server.begin(); 
  Serial.println("Server started"); 
  Serial.print("IP Address: "); 
  Serial.println(WiFi.localIP()); 
}  

void loop() {  
  WiFiClient client = server.available(); 
  if (client) { 
    Serial.println("Client connected"); 
    while (client.connected()) { 
      if (client.available()) { 
        String request = client.readStringUntil('\r'); 
        Serial.println(request); 
        client.flush(); 

        // Send a response
        client.println("Hello from the server!"); 
        client.stop(); 
        Serial.println("Client disconnected"); 
      } 
    } 
  } 
} 
