#include <WiFi.h>  

// Replace with your network credentials 
const char* ssid = "GuestWifi"; 
const char* password = "Cr3at1v3!"; 

// Server IP address and port
const char* serverIP = "172.16.2.197"; 
const uint16_t serverPort = 80; 

void setup() { 
  Serial.begin(115200); 
  
  // Connect to Wi-Fi
  WiFi.begin(ssid, password); 
  Serial.print("Connecting to Wi-Fi"); 
  while (WiFi.status() != WL_CONNECTED) {  
    delay(1000); 
    Serial.print("."); 
  } 
  Serial.println(" connected"); 

  // Connect to the server 
  Serial.print("Connecting to server at ");  
  Serial.println(serverIP); 
  WiFiClient client; 
  if (client.connect(serverIP, serverPort)) { 
    Serial.println("Connected to server"); 
    client.println("Hello from the client!"); 

    // Read the response 
    String response = client.readStringUntil('\r');  
    Serial.println("Response from server: " + response); 

    client.stop(); 
  } else {  
    Serial.println("Connection to server failed"); 
  } 
} 

void loop() { 
  // Add any additional logic here if needed 
} 

