#include <WiFi.h>  

int buttonState = 0;  // variable for reading the pushbutton status
// Replace with your network credentials 
const char* ssid = "GuestWifi"; 
const char* password = "Cr3at1v3!"; 

// Server IP address and port
const char* serverIP = "172.16.2.197"; 
const uint16_t serverPort = 80; 

void setup() { 
  Serial.begin(115200); 

    Serial.begin(115200);
  // initialize the LED pin as an output:
  pinMode(20, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(21, INPUT_PULLUP);
  
  // Connect to Wi-Fi
  WiFi.begin(ssid, password); 
  Serial.print("Connecting to Wi-Fi"); 
  while (WiFi.status() != WL_CONNECTED) {  
    delay(1000); 
    Serial.print("."); 
  } 
  Serial.println(" connected"); 

  // Connect to the server 
  Serial.print("Connecting to server at ");  
  Serial.println(serverIP); 
  WiFiClient client; 
  if (client.connect(serverIP, serverPort)) { 
    Serial.println("Connected to server"); 
    client.println("Hello from the client!"); 

    // Read the response 
    String response = client.readStringUntil('\r');  
    Serial.println("Response from server: " + response); 

    client.stop(); 
  } else {  
    Serial.println("Connection to server failed"); 
  } 
} 

void loop() { 
     buttonState = digitalRead(21);
  if (buttonState == LOW) {
    // The button is pressed
    Serial.println("Button pressed");
  } else {
    // The button is not pressed
    Serial.println("Button released");
  }
  
  delay(100);  // Delay for debouncing
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == HIGH) {
    // turn LED on:
    digitalWrite(20, LOW);
  } else {
    // turn LED off:
    digitalWrite(20, HIGH);
  } 
  // Add any additional logic here if needed 
} 

